diff --git a/workdir/Asociace/Assets/Scenes/Menu.unity b/workdir/Asociace/Assets/Scenes/Menu.unity
index cc3b02aa7..31795f3e2 100644
--- a/workdir/Asociace/Assets/Scenes/Menu.unity
+++ b/workdir/Asociace/Assets/Scenes/Menu.unity
@@ -10755,208 +9667,167 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 190023555}
     m_Modifications:
-    - target: {fileID: 470176920502895292, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176920502895292, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.x
-      value: 0
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.y
-      value: 0
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalPosition.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_RootOrder
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMin.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_SizeDelta.x
+      value: -300
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 70
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.y
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalRotation.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_LocalRotation.w
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_RootOrder
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.y
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.z
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalRotation.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: 344
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_SizeDelta.x
-      value: -300
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_SizeDelta.y
-      value: 70
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMin.x
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMin.y
-      value: 0.5
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMax.x
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_AnchorMax.y
-      value: 0.5
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Pivot.x
-      value: 0.5
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_Pivot.y
-      value: 0.5
+    - target: {fileID: 470176921614825252, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825253, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825253, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_Name
       value: Sound Volume Value
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.size
       value: 1
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Mode
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
-      value: 2
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_Mode
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Target
       value: 
       objectReference: {fileID: 190023558}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
-      value: ChangeVolumeOfSounds
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
-      value: UnityEngine.Object, UnityEngine
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_Mode
-      value: 0
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_Target
+      value: 
+      objectReference: {fileID: 190023558}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
+      value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_CallState
       value: 2
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_Target
-      value: 
-      objectReference: {fileID: 190023558}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
+      value: ChangeVolumeOfSounds
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_MethodName
       value: ChangeVolumeOfSounds
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
+      value: UnityEngine.Object, UnityEngine
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825274, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_OnValueChanged.m_PersistentCalls.m_Calls.Array.data[1].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.size
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Mode
       value: 4
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
-      propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
-      value: 2
-      objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Target
       value: 
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
+      propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_CallState
+      value: 2
+      objectReference: {fileID: 0}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_MethodName
       value: ChangeVolumeOfSounds
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921614825275, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: FunctionsLeftButton.m_PersistentCalls.m_Calls.Array.data[0].m_Arguments.m_ObjectArgumentAssemblyTypeName
       value: UnityEngine.Object, UnityEngine
       objectReference: {fileID: 0}
-    - target: {fileID: 470176921890464825, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44,
-        type: 3}
+    - target: {fileID: 470176921890464825, guid: 4a4a82cd0dc0a4c4783b32f9b9a37b44, type: 3}
       propertyPath: m_AnchorMax.y
       value: 1
       objectReference: {fileID: 0}
@@ -10969,113 +9840,91 @@ PrefabInstance:
   m_Modification:
     m_TransformParent: {fileID: 945524382}
     m_Modifications:
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_Pivot.x
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_Pivot.y
+      value: 0.5
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_RootOrder
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_AnchorMax.x
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_AnchorMax.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_AnchorMin.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_AnchorMin.y
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_SizeDelta.x
+      value: 0
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_SizeDelta.y
+      value: 10
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalPosition.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalPosition.z
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_LocalRotation.w
+      value: 1
+      objectReference: {fileID: 0}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalRotation.x
       value: -0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalRotation.y
       value: -0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_LocalRotation.z
       value: -0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_LocalRotation.w
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_RootOrder
-      value: 0
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.x
-      value: 0
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.y
-      value: 0
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_LocalEulerAnglesHint.z
-      value: 0
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_AnchoredPosition.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_AnchoredPosition.y
       value: -5
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_SizeDelta.x
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.x
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_SizeDelta.y
-      value: 10
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_AnchorMin.x
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.y
       value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_AnchorMin.y
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_AnchorMax.x
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_AnchorMax.y
-      value: 1
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_Pivot.x
-      value: 0.5
-      objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
-      propertyPath: m_Pivot.y
-      value: 0.5
+    - target: {fileID: 1120186559832694522, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
+      propertyPath: m_LocalEulerAnglesHint.z
+      value: 0
       objectReference: {fileID: 0}
-    - target: {fileID: 1120186559832694523, guid: 61f37770c6055ac4fb233f8e577f2f32,
-        type: 3}
+    - target: {fileID: 1120186559832694523, guid: 61f37770c6055ac4fb233f8e577f2f32, type: 3}
       propertyPath: m_Name
       value: Time Bar
       objectReference: {fileID: 0}
diff --git a/workdir/Asociace/Assets/Scenes/MenuSettings.lighting b/workdir/Asociace/Assets/Scenes/MenuSettings.lighting
new file mode 100644
index 000000000..d728fafbb
--- /dev/null
+++ b/workdir/Asociace/Assets/Scenes/MenuSettings.lighting
@@ -0,0 +1,64 @@
+%YAML 1.1
+%TAG !u! tag:unity3d.com,2011:
+--- !u!850595691 &4890085278179872738
+LightingSettings:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_Name: MenuSettings
+  serializedVersion: 4
+  m_GIWorkflowMode: 1
+  m_EnableBakedLightmaps: 0
+  m_EnableRealtimeLightmaps: 0
+  m_RealtimeEnvironmentLighting: 1
+  m_BounceScale: 1
+  m_AlbedoBoost: 1
+  m_IndirectOutputScale: 1
+  m_UsingShadowmask: 1
+  m_BakeBackend: 1
+  m_LightmapMaxSize: 1024
+  m_BakeResolution: 40
+  m_Padding: 2
+  m_LightmapCompression: 3
+  m_AO: 0
+  m_AOMaxDistance: 1
+  m_CompAOExponent: 1
+  m_CompAOExponentDirect: 0
+  m_ExtractAO: 0
+  m_MixedBakeMode: 2
+  m_LightmapsBakeMode: 1
+  m_FilterMode: 1
+  m_LightmapParameters: {fileID: 15204, guid: 0000000000000000f000000000000000, type: 0}
+  m_ExportTrainingData: 0
+  m_TrainingDataDestination: TrainingData
+  m_RealtimeResolution: 2
+  m_ForceWhiteAlbedo: 0
+  m_ForceUpdates: 0
+  m_FinalGather: 0
+  m_FinalGatherRayCount: 256
+  m_FinalGatherFiltering: 1
+  m_PVRCulling: 1
+  m_PVRSampling: 1
+  m_PVRDirectSampleCount: 32
+  m_PVRSampleCount: 500
+  m_PVREnvironmentSampleCount: 500
+  m_PVREnvironmentReferencePointCount: 2048
+  m_LightProbeSampleCountMultiplier: 4
+  m_PVRBounces: 2
+  m_PVRMinBounces: 2
+  m_PVREnvironmentMIS: 0
+  m_PVRFilteringMode: 2
+  m_PVRDenoiserTypeDirect: 0
+  m_PVRDenoiserTypeIndirect: 0
+  m_PVRDenoiserTypeAO: 0
+  m_PVRFilterTypeDirect: 0
+  m_PVRFilterTypeIndirect: 0
+  m_PVRFilterTypeAO: 0
+  m_PVRFilteringGaussRadiusDirect: 1
+  m_PVRFilteringGaussRadiusIndirect: 5
+  m_PVRFilteringGaussRadiusAO: 2
+  m_PVRFilteringAtrousPositionSigmaDirect: 0.5
+  m_PVRFilteringAtrousPositionSigmaIndirect: 2
+  m_PVRFilteringAtrousPositionSigmaAO: 1
+  m_PVRTiledBaking: 0
diff --git a/workdir/Asociace/Assets/Scenes/MenuSettings.lighting.meta b/workdir/Asociace/Assets/Scenes/MenuSettings.lighting.meta
new file mode 100644
index 000000000..772b6d46c
--- /dev/null
+++ b/workdir/Asociace/Assets/Scenes/MenuSettings.lighting.meta
@@ -0,0 +1,8 @@
+fileFormatVersion: 2
+guid: c0275b7403335492eb5d0daef43874b1
+NativeFormatImporter:
+  externalObjects: {}
+  mainObjectFileID: 4890085278179872738
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
diff --git a/workdir/Asociace/Assets/Scenes/Task.unity b/workdir/Asociace/Assets/Scenes/Task.unity
index 9f4bb7aed..f4cbf2212 100644
--- a/workdir/Asociace/Assets/Scenes/Task.unity
+++ b/workdir/Asociace/Assets/Scenes/Task.unity
@@ -249,6 +249,7 @@ GameObject:
   - component: {fileID: 255239379}
   - component: {fileID: 255239381}
   - component: {fileID: 255239380}
+  - component: {fileID: 255239382}
   m_Layer: 5
   m_Name: Dash
   m_TagString: Untagged
@@ -318,6 +319,22 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 255239378}
   m_CullTransparentMesh: 0
+--- !u!111 &255239382
+Animation:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 255239378}
+  m_Enabled: 1
+  serializedVersion: 3
+  m_Animation: {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_Animations:
+  - {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_WrapMode: 0
+  m_PlayAutomatically: 1
+  m_AnimatePhysics: 0
+  m_CullingType: 0
 --- !u!1 &291388078
 GameObject:
   m_ObjectHideFlags: 0
@@ -444,6 +461,7 @@ GameObject:
   - component: {fileID: 310863375}
   - component: {fileID: 310863377}
   - component: {fileID: 310863376}
+  - component: {fileID: 310863378}
   m_Layer: 5
   m_Name: Right Text
   m_TagString: Untagged
@@ -513,6 +531,22 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 310863374}
   m_CullTransparentMesh: 0
+--- !u!111 &310863378
+Animation:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 310863374}
+  m_Enabled: 1
+  serializedVersion: 3
+  m_Animation: {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_Animations:
+  - {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_WrapMode: 0
+  m_PlayAutomatically: 1
+  m_AnimatePhysics: 0
+  m_CullingType: 0
 --- !u!1 &324586618
 GameObject:
   m_ObjectHideFlags: 0
@@ -3152,8 +3186,8 @@ RectTransform:
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 808.8563, y: 0}
-  m_SizeDelta: {x: 1617.7126, y: 0}
+  m_AnchoredPosition: {x: 809.56256, y: 0}
+  m_SizeDelta: {x: 1619.1251, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1729012035
 MonoBehaviour:
@@ -3415,6 +3449,7 @@ GameObject:
   - component: {fileID: 1851563706}
   - component: {fileID: 1851563708}
   - component: {fileID: 1851563707}
+  - component: {fileID: 1851563709}
   m_Layer: 5
   m_Name: Left Text
   m_TagString: Untagged
@@ -3484,6 +3519,22 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1851563705}
   m_CullTransparentMesh: 0
+--- !u!111 &1851563709
+Animation:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1851563705}
+  m_Enabled: 1
+  serializedVersion: 3
+  m_Animation: {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_Animations:
+  - {fileID: 7400000, guid: 2c08a943831d14f46b4a097d6aec3954, type: 2}
+  m_WrapMode: 0
+  m_PlayAutomatically: 1
+  m_AnimatePhysics: 0
+  m_CullingType: 0
 --- !u!1 &1896176078
 GameObject:
   m_ObjectHideFlags: 0
diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index 40d85d1fc..6468c6b8c 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -206,8 +206,6 @@ namespace Ui.MainCameras
             }
             else
             {
-                // TODO
-                
                 waitAndFinishCurrentRoundRoutine = WaitAndFinishCurrentRound();
                 yield return StartCoroutine(waitAndFinishCurrentRoundRoutine);
             }
@@ -532,13 +530,10 @@ namespace Ui.MainCameras
             }
             else
             {
-                // TODO Animace
                 a.SetTrigger(Constants.WRONG_OPTION_BUTTON_ANIM);
                 b.interactable = false;
             }
             DataCollector.Instance.SetCorrect(correct); // Log correct / incorrect click
-            ColorUpButtons(sender.name);
-            //TODO červené tlačítko
         }
 
         public void IsCorrect(string correctWord)
diff --git a/workdir/Asociace/UserSettings/EditorUserSettings.asset b/workdir/Asociace/UserSettings/EditorUserSettings.asset
index 5fb21cd2a..c51d57c5c 100644
--- a/workdir/Asociace/UserSettings/EditorUserSettings.asset
+++ b/workdir/Asociace/UserSettings/EditorUserSettings.asset
@@ -6,6 +6,9 @@ EditorUserSettings:
   serializedVersion: 4
   m_ConfigSettings:
     RecentlyUsedSceneGuid-0:
+      value: 52010d0351015f0e5d5c5c71487708444716407f792973692f2a4435b6b0323e
+      flags: 0
+    RecentlyUsedSceneGuid-1:
       value: 54570451560c0b0e0f5c552612755e4417151e2b2f717563297e1c66e4b66468
       flags: 0
     vcSharedLogLevel:
